[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.GetPreferredSizeClientFrame

Calculates the size of the client area for the control excluding visible scroll bars.

## Declaration

Source position: forms.pp line 187

`protected procedure TScrollingWinControl.GetPreferredSizeClientFrame(`
`out aWidth: Integer;`
`out aHeight: Integer`
`); override;`

## Arguments

`aWidth` |  | Width of the client area.
`aHeight` |  | Height of the client area.

## See also

TScrollingWinControl.AutoScroll |  | Indicates whether scroll bars are automatically displayed or hidden when needed.
TScrollingWinControl.VertScrollBar |  | The vertical scroll bar for the control.
TScrollingWinControl.HorzScrollBar |  | The horizontal scroll bar for the control.
TControl.Height |  | The vertical size for the control.
TControl.Width |  | The horizontal size for the control.
TControl.ClientHeight |  | The height for the client area on the control.
TControl.ClientWidth |  | The width of the client area for the control.